Subject: Re: [RFC] change netdevice to use struct device instead of struct class_device

From: Greg KH <[email-masked]>
Date: Thu, 6 Jul 2006 17:02:33 -0700

On Wed, Jul 05, 2006 at 04:29:23PM +0200, Marcel Holtmann wrote:
> Hi Greg,
> 
> > The patch needs some other changes to the driver core that are also in
> > my git tree, and included in the -mm release.  Specifically these
> > patches are needed:
> > 	http://www.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/patches/driver/device-groups.patch
> > 	http://www.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/patches/driver/device-class-parent.patch
> 
> while converting the Bluetooth subsystem from class devices to real
> devices, I had some similar situation with devices without parent. I
> actually used a Bluetooth platform device as parent for virtual or
> serial based devices.

The problem with that is you get a bunch of symlinks to that parent
device that you really don't want to have, when we have a device that is
associated with a class.

I was thinking of creating a /sys/devices/virtual/ to put these
unassociated devices into, and I'll play around with that a bit.  I
don't know if we will hit some namespace issues with all of the
different devices that aren't associated with a "real" device if we lump
them all together into one directory...

thanks,

greg k-h